### Method

# Gimp Gradient segment_get_left_pos

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_get_left_pos (
      GimpGradient* gradient,
      gint segment,
      gdouble* pos
    )

#### Description [src]

Gets the left endpoint position of a segment

Gets the position of the left endpoint of the segment of the gradient. Returns an error when the segment index is out of range.

Available since: 2.2

#### Parameters

`segment`

  Type: `gint`

  The index of a segment within the gradient.

`pos`

  Type: `gdouble*`

  The return position.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.